package dev.inmo.postssystem.client
import dev.inmo.micro_utils.fsm.common.StatesMachine
import dev.inmo.postssystem.features.common.common.DefaultQualifiers
import dev.inmo.postssystem.features.common.common.ui.fsm.UIFSMState
import kotlinx.browser.window

fun main() {
    window.addEventListener("load", {
        val koin = baseKoin()
        val uiStatesMachine = koin.get<StatesMachine<UIFSMState>>(DefaultQualifiers.UIFSMQualifier)
        uiStatesMachine.start(koin.get())
    })
}
