package dev.inmo.postssystem.features.content.client

import androidx.compose.runtime.*
import dev.inmo.postssystem.features.content.common.Content
import kotlinx.coroutines.flow.StateFlow
import org.w3c.dom.HTMLElement

interface ContentClientProvider {
    fun contentTypeNameForUser(): String

    @Composable
    fun renderNewInstance(state: MutableState<Content?>)

    @Composable
    fun renderPreview(content: Content): Boolean
}
