package dev.inmo.postssystem.features.files.common.storage

interface FilesStorage : ReadFilesStorage, WriteFilesStorage

class DefaultFilesStorage(
    filesStorage: ReadFilesStorage,
    writeFilesStorage: WriteFilesStorage
) : FilesStorage, ReadFilesStorage by filesStorage, WriteFilesStorage by writeFilesStorage
