package dev.inmo.postssystem.features.roles.manager.common

import dev.inmo.postssystem.features.common.common.default
import dev.inmo.postssystem.features.roles.common.RolesStorage
import dev.inmo.postssystem.features.roles.common.keyvalue.*
import kotlinx.serialization.StringFormat
import kotlinx.serialization.json.Json

class RolesManagerRoleStorage(
    keyValuesRepo: KeyValuesRolesOriginalRepo,
    format: StringFormat = Json.default
) : RolesStorage<RolesManagerRole>, KeyValueRolesStorage<RolesManagerRole>(
    keyValuesRepo,
    RolesManagerRole.serializer(),
    format
)
