package dev.inmo.postssystem.features.roles.manager.server

import dev.inmo.postssystem.features.roles.common.RolesStorage
import dev.inmo.postssystem.features.roles.manager.common.RolesManagerRole
import dev.inmo.postssystem.features.roles.server.RolesStorageWriteServerRoutesConfigurator
import dev.inmo.micro_utils.ktor.server.configurators.ApplicationRoutingConfigurator

class RolesManagerRolesStorageServerRoutesConfigurator(
    storage: RolesStorage<RolesManagerRole>
) : ApplicationRoutingConfigurator.Element by RolesStorageWriteServerRoutesConfigurator(
    storage,
    RolesManagerRole.serializer(),
    RolesManagerRolesChecker.key
)
