package dev.inmo.postssystem.features.common.common.ui

import androidx.compose.runtime.Composable
import korlibs.time.DateTime
import korlibs.time.ISO8601
import org.jetbrains.compose.web.dom.Text

object DateTimeView {
    val simpleFormat = ISO8601.BaseIsoDateTimeFormat(
        "DD.MM.YYYY, hh:mm"
    )
    @Composable
    fun Simple(
        dateTime: DateTime
    ) {
        Text(dateTime.local.format(simpleFormat))
    }
}
