package dev.inmo.postssystem.features.roles.manager.common

import dev.inmo.postssystem.features.roles.common.Role
import dev.inmo.postssystem.features.roles.common.RoleSerializer
import dev.inmo.micro_utils.serialization.typed_serializer.TypedSerializer
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
sealed interface RolesManagerRole : Role

@Serializable
@SerialName("GeneralRolesManagerRole")
object GeneralRolesManagerRole : RolesManagerRole {
    override fun toString(): String = "GeneralRolesManagerRole"
}

private val justForLoading = GeneralRolesManagerRole.serializer()
